function love.load()
	require "conf"
	require "my_api"
	apiLoad()
	map_methods:create()
	pathfind:generateNodes()
	pathfind:calculate()
end

function love.update(dt)
	apiUpdate(dt)
	player:update(dt)
end

function love.draw()
	map_methods:draw()
	pathfind:drawNodes()
	player:draw()
end

function love.keypressed(key, unicode)
	map_methods:keyboard(key, unicode)
	pathfind:keypressed(key, uni)
end

function love.mousepressed(x, y, button)
	map_methods:mousepress(x, y, button)
	player:mousepress(x, y, button)
end

function love.mousereleased(x, y, button)

end