pathfind= {}
pathfind.open = {}
pathfind.closed = {}
nodes = {}

function pathfind:generateNodes()
	for i = 1, #nodes do
		table.remove(nodes)
	end
	for i = 1, #map do
		nodes[i] = {}
		for j = 1, #map[i] do
			if not map[i][j].collide then
				nodes[i][j] = {
					x = map[i][j].x + 16,
					y = map[i][j].y + 16,
					gCost = 0
				}
			end
		end
	end
end

function pathfind:drawNodes()
	gr.setColor(0, 0, 255, 255)
	for i = 1, #nodes do
		for j = 1, #nodes[i] do
			if nodes[i][j] then
				gr.point(nodes[i][j].x, nodes[i][j].y)
			end
		end
	end
end

function pathfind:calculate(goal)
	for i = 1, #nodes do
		for j = 1, #nodes[i] do
			if boxCollision(player.x, player.y, player.w, player.h, nodes[i][j].x, nodes[i][j].y, 32, 32) then
				table.insert(self.closed, nodes[i][j])
				local start = nodes[i][j]
				nodes[i-1][j].parent = nodes[i][j]
				nodes[i+1][j].parent = nodes[i][j]
				nodes[i][j-1].parent = nodes[i][j]
				nodes[i][j+1].parent = nodes[i][j]
				nodes[i-1][j-1].parent = nodes[i][j]
				nodes[i-1][j+1].parent = nodes[i][j]
				nodes[i+1][j-1].parent = nodes[i][j]
				nodes[i+1][j+1].parent = nodes[i][j]
			end
		end
	end
	
	
end

function pathfind:h_cost(current, goal)
	
end

function pathfind:g_cost(current, parent)
	distV(current, parent)
end

function pathfind:keypressed(key, uni)

end